#
#   Tiles placing demo.
#   Copyright (C) 2020  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
#*****************************************************************************
#
#
#


source tiles.tcl

# general configuration
SetSourceDir garden/tiles garden	;# data source paths
SetScene 450 130 40 21			;# scene/tiles configuration

# load data files
LoadTilesDb tiles.txt
LoadLayersDb layers.txt

# create empty scene
exec -- convert -size 900x600 xc:#000000 garden.png

# add layers to scene
AddLayer garden.png map_00.txt 0	;# layer 0
AddLayer garden.png map_01.txt 1	;# layer 1
AddLayer garden.png map_02.txt 2	;# layer 2


